Skip to main content
POST
/
projects
Create a new project
curl --request POST \
  --url https://api.withampersand.com/v1/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "appName": "MailMonkey",
  "name": "mailmonkey-staging",
  "orgId": "9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79"
}
'
import requests

url = "https://api.withampersand.com/v1/projects"

payload = {
"appName": "MailMonkey",
"name": "mailmonkey-staging",
"orgId": "9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appName: 'MailMonkey',
name: 'mailmonkey-staging',
orgId: '9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79'
})
};

fetch('https://api.withampersand.com/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "proj_9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79",
  "name": "mailmonkey-staging",
  "appName": "MailMonkey",
  "orgId": "9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79",
  "createTime": "2023-11-07T05:31:56Z",
  "updateTime": "2023-11-07T05:31:56Z",
  "entitlements": {
    "brandingRemoval": {
      "value": true
    },
    "logRetentionDays": {
      "value": 123
    }
  }
}
{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}
{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
appName
string
required

The display name of your application, shown to end users during the connection flow.

Required string length: 1 - 128
Example:

"MailMonkey"

name
string
required

The unique name for the project. Must contain only letters, numbers, and hyphens. Values are normalized to lowercase on save.

Required string length: 2 - 128
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9-]*[a-zA-Z0-9]$
Example:

"mailmonkey-staging"

orgId
string
required

The ID of the organization this project belongs to. Obtain this from the Ampersand Dashboard or by calling GET /orgs.

Example:

"9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79"

Response

The newly created project.

id
string
required

The unique identifier for the project.

Example:

"proj_9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79"

name
string
required

The unique name for the project.

Example:

"mailmonkey-staging"

appName
string
required

The display name of the application, shown to end users during the connection flow.

Example:

"MailMonkey"

orgId
string
required

The ID of the organization that this project belongs to.

Example:

"9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79"

createTime
string<date-time>
required

The time the project was created.

updateTime
string<date-time>

The time the project was updated.

entitlements
object

Plan-based feature flags for the project. These are managed by Ampersand and cannot be set via the API.